<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">


<!--
IGAC proyecto SNC

@author  rodrigo.hernandez
@description  página que muestra los campos para aprobar/desaprobar la oferta y realizar observaciones
@cu  CU-TV-0F-009
@version  2.0

-->

<h:form id="consultaOfertaControlCalidadForm"
        xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui">

    <p:spacer height="10" />

    <p:fieldset id="datosOfertaFS">
        <legend>
            <h:outputText styleClass="legendTitle" value="Información de Oferta" />
        </legend>

        <p:spacer height="20" />

        <h:panelGrid id="datosOfertaPG" columns="4" cellspacing="7"
                     columnClasses="colPequena, colMediana, colPequena, colMediana">

            <h:outputLabel value="Código oferta:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.codigoOferta}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Fecha oferta:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.fechaOferta}"
                styleClass="outputTextStyle">
                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                   timeZone="GMT-5" />
            </h:outputText>

            <h:outputLabel value="Fuente:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.fuente}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Departamento:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.departamento.codigo}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Municipio:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.municipio.codigo}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Nombre fuente:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.nombreFuente}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Sector:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.sector}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Tipo predio:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.tipoPredio}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Teléfono fuente:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.telefonoFuente}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Manzana/vereda:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.nombreVereda}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Número predial:" styleClass="outputLabelStyle" />
            <p:dataList
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.ofertaPredios}"
                var="np"
                rendered="#{not empty realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.ofertaPredios}">
                #{np.numeroPredial}
            </p:dataList>

            <p:spacer
                rendered="#{empty realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.ofertaPredios}" />

            <h:outputLabel value="Tipo investigación:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.tipoInvestigacion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Barrio:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.nombreBarrio}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="A. terreno:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.areaTerreno}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Fecha ingreso oferta:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.fechaIngresoOferta}"
                styleClass="outputTextStyle">
                <f:convertDateTime pattern="#{general.formatoFechaUsuario2}"
                                   timeZone="GMT-5" />
            </h:outputText>

            <h:outputLabel value="Dirección:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.direccion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="A. total terreno (catastral):"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.areaTotalTerrenoCatastral}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Investigación por la cual ingresa la oferta:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.investigacionIngreso}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Condición jurídica:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.condicionJuridica}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Tipo inmueble:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.tipoInmueble}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Destino:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.destino}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Ubicación en manzana:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.ubicacionManzana}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Estrato socioeconómico:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.estratoSocioeconomico}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Vetustez:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.vetustez}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Porcentaje negociación:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.porcentajeNegociacion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Valor depurado:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.valorDepurado}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Forma negociación:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.formaNegociacion}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Valor arriendo:" styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.valorArriendo}"
                styleClass="outputTextStyle" />

            <h:outputLabel value="Valor administración:"
                           styleClass="outputLabelStyle" />
            <h:outputText
                value="#{realizacionControlCalidadOferta.ofertaSeleccionada.ofertaInmobiliariaId.valorAdministracion}"
                styleClass="outputTextStyle" />

        </h:panelGrid>

        <p:spacer height="10" />

        <h:panelGrid id="botonesDatosOfertaPG" columns="2" cellspacing="7">
            <p:commandButton id="cargarDetallesOferta" value="Detalles oferta"
                             icon="ui-icon ui-icon-search" onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide(); detalleOfertaWV.show()" />

            <p:commandButton id="realizarObservacion"
                             value="Realizar observación" icon="ui-icon ui-icon-pencil"
                             onstart="statusDialog2.show();"
                             oncomplete="statusDialog2.hide(); observacionesWV.show()"
                             action="#{realizacionControlCalidadOferta.cargarDatosOfertaSeleccionada}"
                             update=":observacionesControlCalidadForm" />

        </h:panelGrid>
    </p:fieldset>

</h:form>